
TYPO3.Neos - Task # 8059

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2010-06-04 Assigned To:
Updated: 2012-08-31 Due date:
Subject: Create a JSON view.
Description

We need a JSON view which will convert an object graph to JSON.
The idea would be to read the configuration which part of the object graph shoud be converted from a YAML file.

Some inspiration from Rails: http://apidock.com/rails/ActiveRecord/Serialization/to_json

Related issues:
related to Base Distribution - Story # 7920: As an Editor I want to edit page... Resolved 2010-05-26

History
#1 - 2010-06-04 12:12 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

#2 - 2010-06-04 13:29 - Sebastian Kurfuerst
- File v1-FLOW3.patch added
- File v1-TYPO3v5.patch added
- % Done changed from 0 to 20

adding first version of patches.

    -  No unit tests yet
    -  Only very rough right now.

TODO:

    -  document / Unit Test

#3 - 2010-06-04 13:37 - Sebastian Kurfuerst

Forgot to add: you can try it out with the URL http://typo3v5.local/typo3/page/homepage and http://typo3v5.local/typo3/page/homepage/anotherpage

#4 - 2010-06-07 20:11 - Sebastian Kurfuerst
- File v2-TYPO3v5.patch added

#5 - 2010-06-09 11:58 - Christopher Hlubek
- Assigned To changed from Sebastian Kurfuerst to Christopher Hlubek

#6 - 2010-06-10 23:59 - Christopher Hlubek
- Status changed from Accepted to Resolved
- Assigned To deleted (Christopher Hlubek)
http://apidock.com/rails/ActiveRecord/Serialization/to_json
http://typo3v5.local/typo3/page/homepage
http://typo3v5.local/typo3/page/homepage/anotherpage


- % Done changed from 20 to 100

Is implemented and tested for most cases.

#7 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)

#8 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
v1-FLOW3.patch 111 Bytes 2010-06-04 Sebastian Kurfuerst
v1-TYPO3v5.patch 6.8 kB 2010-06-04 Sebastian Kurfuerst
v2-TYPO3v5.patch 10.6 kB 2010-06-07 Sebastian Kurfuerst
